List of citizenships available for hiring Eats couriers in a specified region

Getting the list of contractor citizenships available for Eats hiring in the given region

Request

POST

https://fleet-api.taxi.yandex.net/v1/eats/citizenships/list

Headers

Name

Description

Accept-Language

Type: string

Preferred language of the response

Min length: 2

Example: ru

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

X-Park-ID

Type: string

Partner ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Body

application/json
{
  "employment_type": "park_direct",
  "geobase_id": 1
}

Name

Description

employment_type

Type: string

Employment type. Can be park_direct (park direct staff) or courier_service (courier service employee in Fleet terms)

Enum: park_direct, courier_service

geobase_id

Type: integer

Region identifier in the geobase. Citizenships unavailable in the given region for the selected employment type will not be returned

Responses

200 OK

List of citizenships available for Eats hiring

Body

application/json
{
  "citizenships": [
    {
      "citizenship_code2": "RU",
      "name": "Russian Federation"
    }
  ]
}

Name

Description

citizenships

Type: Citizenship[]

List of contractor citizenships available for Eats hiring. Citizenships are sorted by the 'name' field

Example
[
  {
    "citizenship_code2": "RU",
    "name": "Russian Federation"
  }
]

Citizenship

Name

Description

citizenship_code2

Type: string

Country code in ISO 3166-1 alpha-2 format

Pattern: ^[A-Z]{2}$

Example: RU

name

Type: string

Localized citizenship name

Example: Russian Federation

Example
{
  "citizenship_code2": "RU",
  "name": "Russian Federation"
}

400 Bad Request

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

422 Unprocessable Entity

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example